from globus_sdk import ConfidentialAppAuthClient
from flask import current_app


def get_auth_token(headers):
    """Extracts the bearer token from a request's Authorization header."""
    auth_header = headers.get('Authorization')

    if auth_header and auth_header.startswith('Bearer '):
        token = auth_header[7:]
    else:
        token = ''

    return token


def get_auth_client():
    """Create a Globus Auth client."""
    return ConfidentialAppAuthClient(
        current_app.config['CLIENT_ID'], current_app.config['CLIENT_SECRET'])
