from flask import Blueprint, jsonify
from globus.manager.version import __version__


blueprint = Blueprint(
    'info_blueprint', __name__, url_prefix='/api/v1')


@blueprint.route('/info', methods=['GET'])
def info_get():
    """
    GET /info

    Returns information about this GCS Manager such as the API version.
    """
    return jsonify(manager_version=__version__)
