from globus.manager.api.errors import BadRequestError


class S3Connector(object):
    CONNECTOR_ID = "7643e831-5f6c-4b47-a07f-8ee90f401d23"
    DISPLAY_NAME = "S3"
    UNAUTHENTICATED_USER_ID = "UNAUTHENTICATED"

    def __init__(self, *args, **kwargs):
        pass

    def storage_credential(
            self, credential_data, valid_identity_data, storage_gateway):
        if storage_gateway.storage_policies['public'].get(
                's3_user_credential_required'):
            # check authenticated s3 fields
            s3_key_id = credential_data.get('s3_key_id')
            s3_secret_key = credential_data.get('s3_secret_key')
            if not (s3_key_id and s3_secret_key):
                raise BadRequestError(
                    'This Storage Gateway requires S3 Key '
                    'ID and Secret for user credentials.')

            # make user_credential with s3 storage_credential
            return (s3_key_id, s3_key_id, {
                's3_key_id': s3_key_id,
                's3_secret_key': s3_secret_key
            })
        else:
            if (credential_data.get('s3_key_id')
                    or credential_data.get('s3_secret_key')):
                # error on any unexpected gateway specific values
                raise BadRequestError(
                    'storage_gateway does not accept S3 user credentials')
            else:
                return (
                    self.UNAUTHENTICATED_USER_ID,
                    'Dummy credential for unauthenticated S3',
                    None)
