from globus.manager.api.models import db
from .helpers import UTCArrowType, ensure_arrowtime


class Base(db.Model):
    __abstract__ = True

    created_at = db.Column(UTCArrowType, default=db.func.now(),
                           nullable=False)
    updated_at = db.Column(UTCArrowType, default=db.func.now(),
                           onupdate=db.func.now(), nullable=False)

    @db.validates('created_at', 'updated_at')
    def _ensure_arrowtime(self, key, value):
        return ensure_arrowtime(value)
