from uuid import uuid4

from globus.manager.api.models import db
from globus.manager.api.models.base import Base


class Connector(Base):
    __tablename__ = 'connector'

    id = db.Column(db.TEXT, primary_key=True)
    display_name = db.Column(db.TEXT, nullable=False, unique=True)
    allow_mapped_collections = db.Column(
        db.BOOLEAN, nullable=False, server_default='0')
    enabled = db.Column(db.Boolean, nullable=False)

    def __init__(self, **kwargs):
        super(Connector, self).__init__(**kwargs)

        if 'id' not in kwargs:
            self.id = str(uuid4())

        for k, v in kwargs.items():
            setattr(self, k, v)

    def __repr__(self):
        return '<Connector {}>'.format(self.display_name)
