from uuid import uuid4

from globus.manager.api.models import db
from globus.manager.api.models.base import Base


class PreallocatedCollection(Base):
    __tablename__ = 'preallocated_collection'

    id = db.Column(db.TEXT, primary_key=True)
    domain = db.Column(db.TEXT)

    def __init__(self, **kwargs):
        super(PreallocatedCollection, self).__init__(**kwargs)

        if 'id' not in kwargs:
            self.id = str(uuid4())

        for k, v in kwargs.items():
            setattr(self, k, v)

    def __repr__(self):
        return '<PreallocatedCollection {}>'.format(self.id)
