from marshmallow import post_dump
from globus.manager.api.schemas import ma


class StorageGatewayPoliciesSchema(ma.Schema):
    storage_gateway = ma.Str(attribute='display_name')
    storage_gateway_id = ma.Str(attribute='id')
    connector = ma.Str(attribute='connector.display_name')
    connector_id = ma.Str(attribute='connector.id')
    storage_policies = ma.Raw(attribute='storage_policies.public')

    @post_dump()
    def redact_root(self, data):
        try:
            del data['storage_policies']['root']
        except KeyError:
            pass
        return data


storage_gateway_policies_schema = StorageGatewayPoliciesSchema()
storage_gateways_policies_schema = StorageGatewayPoliciesSchema(many=True)
