from marshmallow import post_dump, utils

from globus.manager.api.schemas import ma


class UserCredentialSchema(ma.Schema):
    id = ma.Str()
    display_name = ma.Str()
    identity_id = ma.Str()
    storage_credential = ma.Raw()
    storage_gateway = ma.Str(attribute='storage_gateway.display_name')
    storage_gateway_id = ma.Str(attribute='storage_gateway.id')
    storage_gateway_user_id = ma.Str()
    invalid = ma.Boolean()

    @post_dump(pass_original=True)
    def redact_storage_credential(self, data, original_data):
        try:
            for user_cred in original_data:
                if utils.get_value('id', user_cred) == data['id']:
                    data['storage_credential'] = None
        except TypeError:
            if original_data.id == data['id']:
                data['storage_credential'] = None

        return data


user_credential_schema = UserCredentialSchema()
user_credentials_schema = UserCredentialSchema(many=True)
