import click
from globus.manager.version import __version__
from .create import collection_create
from .delete import collection_delete
from .list import collection_list
from .rewrite_https_config import collection_rewrite_https_config


@click.group(name='collection', help='Collection Management')
@click.help_option('--help', '-h')
@click.version_option(
    version=__version__,
    prog_name="globus-connect-server-config")
def collection_command():
    pass


collection_command.add_command(collection_create)
collection_command.add_command(collection_delete)
collection_command.add_command(collection_list)
collection_command.add_command(collection_rewrite_https_config)


if __name__ == '__main__':
    collection_command()
