import click
from .add_role import endpoint_admin_add_role
from .show import endpoint_admin_show
from globus.manager.version import __version__


@click.group(name='admin', help='Endpoint administrator management')
@click.help_option('--help', '-h')
@click.version_option(
    version=__version__,
    prog_name='globus-connect-server-config')
def endpoint_admin_command():
    pass


endpoint_admin_command.add_command(endpoint_admin_add_role)
endpoint_admin_command.add_command(endpoint_admin_show)

if __name__ == '__main__':
    endpoint_admin_command()
