import click
from .admin import endpoint_admin_command
from .configuration import endpoint_configuration_command
from .rewrite_https_config import endpoint_rewrite_https_config
from .show import endpoint_show
from .update import endpoint_update
from globus.manager.version import __version__


@click.group(name='endpoint', help='Endpoint Management')
@click.version_option(
    version=__version__,
    prog_name='globus-connect-server-config')
@click.help_option('--help', '-h')
def endpoint_command():
    pass


endpoint_command.add_command(endpoint_admin_command)
endpoint_command.add_command(endpoint_configuration_command)
endpoint_command.add_command(endpoint_rewrite_https_config)
endpoint_command.add_command(endpoint_show)
endpoint_command.add_command(endpoint_update)

if __name__ == '__main__':
    endpoint_command()
