import click
from .get import endpoint_configuration_get
from .set import endpoint_configuration_set
from globus.manager.version import __version__


@click.group(name='configuration', help='Endpoint configuration management')
@click.help_option('--help', '-h')
@click.version_option(
    version=__version__,
    prog_name='globus-connect-server-config')
def endpoint_configuration_command():
    pass


endpoint_configuration_command.add_command(endpoint_configuration_get)
endpoint_configuration_command.add_command(endpoint_configuration_set)

if __name__ == '__main__':
    endpoint_configuration_command()
