import click

from ..app import app
from globus.manager.api.models import Configuration
from globus.manager.version import __version__
import sqlalchemy.exc


@click.command(
    'show',
    short_help='Show information about the Globus Connect Server endpoint',
    help='Show information about the Globus Connect Server endpoint')
@click.help_option('--help', '-h')
@click.version_option(
    version=__version__,
    prog_name='globus-connect-server-config')
@click.pass_context
def endpoint_show(ctx):
    with app.app_context():
        try:
            host_endpoint_id = Configuration.query.filter_by(
                name='host_endpoint_id').one().value
            click.echo("Endpoint ID")
            click.echo(host_endpoint_id)
        except sqlalchemy.exc.OperationalError:
            click.echo('Permission denied')
            ctx.exit(1)
        except sqlalchemy.orm.exc.NoResultFound:
            click.echo("Endpoint not configured")
            ctx.exit(1)
