import os
import click

from globus.manager.version import __version__

os.environ['MANAGER_CONFIG'] = 'config/production.py'

from .endpoint import endpoint_command              # noqa: E402
from .collection import collection_command          # noqa: E402
from .storage_gateway import storage_gateway_command  # noqa: E402


@click.group('gcs-config', help='Globus Connect Server Configuration')
@click.version_option(
    version=__version__,
    prog_name='globus-connect-server-config')
@click.help_option('--help', '-h')
def gcs_config():
    pass


gcs_config.add_command(collection_command)
gcs_config.add_command(endpoint_command)
gcs_config.add_command(storage_gateway_command)
