import click
from .create import storage_gateway_create
from .delete import storage_gateway_delete
from .list import storage_gateway_list
from .show import storage_gateway_show
from .update import storage_gateway_update
from globus.manager.version import __version__


@click.group(name='storage-gateway', help='Storage Gateway Configuration')
@click.help_option('--help', '-h')
@click.version_option(
    version=__version__,
    prog_name='globus-connect-server-config')
def storage_gateway_command():
    pass


storage_gateway_command.add_command(storage_gateway_create)
storage_gateway_command.add_command(storage_gateway_delete)
storage_gateway_command.add_command(storage_gateway_list)
storage_gateway_command.add_command(storage_gateway_show)
storage_gateway_command.add_command(storage_gateway_update)


if __name__ == '__main__':
    storage_gateway_command()
