from globus.manager.api import make_app
from globus.manager.api.models import db, Configuration
from globus.manager.api.schemas import ma

import os

os.environ['MANAGER_CONFIG'] = 'config/production.py'

app = make_app()
db.init_app(app)
ma.init_app(app)

app.app_context().push()

from globus.manager.api.utils import (  # noqa: E402
    virtual_client
)
from globus.manager.utils import collection_preallocator    # noqa: E402

collection_preallocator.current_app = app
virtual_client.current_app = app


def main():
    configuration = Configuration.query.all()
    for conf in configuration:
        app.config[conf.name.upper()] = conf.value

    preallocator = collection_preallocator.CollectionPreallocator()
    preallocator.run()


if __name__ == '__main__':
    main()
