"""
Set these if you want to add or modify the core attributes of the endpoint.
"""

from __future__ import print_function, absolute_import

from ..config_option import ConfigOption
from ..config_section import ConfigSection

SECTION_NAME = "Endpoint"

OPTIONS = [
    ConfigOption(
        "Name",
        """
        Display name of the endpoint.  The special value %(SHORT_HOSTNAME)s
        will substitute the first segment of the current machine's public
        hostname,
        """,
        default_value="%(SHORT_HOSTNAME)s",
    ),
    ConfigOption(
        'ServerName',
        '''
        The public hostname of the GCS server. The special value of
        %(HOSTNAME)s will use the hostname of the current machine.
        ''',
        default_value='%(HOSTNAME)s',
    ),
]

section = ConfigSection(SECTION_NAME, __doc__, OPTIONS)
