from .string import ConfigTypeHandlerString


class ConfigTypeHandlerEnum(ConfigTypeHandlerString):
    """
    Enumerated configuration type handler. This handler will validate that
    the configuration value matches the enumerations passed to the type
    constructor
    """
    def __init__(self, values):
        super(ConfigTypeHandlerEnum, self).__init__()
        self.values = values

    def parse(self, value):
        parsed_value = value
        if value is not None:
            parsed_value = self.unquote(value)
            if parsed_value not in self.values:
                raise Exception(
                    "Invalid value %s" % (parsed_value))
        return parsed_value
