from .string import ConfigTypeHandlerString


class ConfigTypeHandlerIntList(ConfigTypeHandlerString):
    """
    Integer list configuration type handler. This handler will validate that
    the configuration value is a comma-separated list of int values.
    Whitespace within the values are discarded.
    """
    def __init__(self, maximum_splits=None):
        super(ConfigTypeHandlerIntList, self).__init__()
        self.maximum_splits = maximum_splits

    def parse(self, value):
        if value is not None:
            if self.maximum_splits is not None:
                return [int(v.strip()) for v in self.unquote(value).split(
                    ",", self.maximum_splits)]
            else:
                return [int(v.strip())
                        for v in self.unquote(value).split(",")]
        return None
