from .string import ConfigTypeHandlerString


class ConfigTypeHandlerInteger(ConfigTypeHandlerString):
    """
    Integer configuration type handler. This handler will validate that
    the configuration value is an integer value.
    """
    def __init__(self):
        super(ConfigTypeHandlerInteger, self).__init__()

    def parse(self, value):
        if value is not None:
            v = self.unquote(value).strip()
            if v is not None and len(v) > 0:
                return int(v)
        return None
