from __future__ import absolute_import

from .string import ConfigTypeHandlerString
import uuid


class ConfigTypeHandlerUUID(ConfigTypeHandlerString):
    """
    UUID configuration type handler. This handler will validate that
    the configuration value matches the UUID string pattern.
    """
    def __init__(self):
        super(ConfigTypeHandlerUUID, self).__init__()

    def parse(self, value):
        parsed_value = self.unquote(value)
        if parsed_value:
            parsed_value = str(uuid.UUID(parsed_value.strip()))
        return parsed_value
