""""
Module to manage the database configuation of the GCS manager
"""
from __future__ import absolute_import

import copy
import os
from subprocess import Popen, PIPE


class Database(object):
    """
    Class to Configure the GCS Manager database
    """
    def __init__(self):
        self.command = '/opt/globus/bin/db_load_data'

    def configure(self, **kwargs):
        for ident in kwargs:
            if kwargs[ident] is not None:
                self.load_data_item('configuration', ident, kwargs[ident])

    def load_data_item(self, dest, ident, value):
        args = [self.command, dest, ident, "stdin"]
        pipe_env = copy.deepcopy(os.environ)
        pipe_env['MANAGER_CONFIG'] = 'config/production.py'
        db_load_data = Popen(args, env=pipe_env, stdin=PIPE)
        db_load_data.communicate(value.encode('utf8'))
        if db_load_data.returncode != 0:
            raise(Exception("Error from {cmd}: {rc}".format(
                cmd=args, rc=db_load_data.returncode)))
