import stat

from . import host_info as HostInfo
from .log import log
from .write_and_link_file import write_and_link_file

PUBLIC_FILE_MODE = stat.S_IRUSR | stat.S_IWUSR | stat.S_IRGRP | stat.S_IROTH
PUBLIC_DIR_MODE = (
    stat.S_IRWXU
    | stat.S_IRGRP | stat.S_IXGRP
    | stat.S_IROTH | stat.S_IXOTH)

PRIVATE_DIR_MODE = stat.S_IRWXU
PRIVATE_FILE_MODE = stat.S_IRUSR | stat.S_IWUSR

PUBLIC_SCRIPT_MODE = (
    stat.S_IRWXU
    | stat.S_IRGRP | stat.S_IXGRP
    | stat.S_IROTH | stat.S_IXOTH)

__all__ = [
    'HostInfo',
    'log',
    'write_and_link_file',
    'PUBLIC_FILE_MODE',
    'PUBLIC_DIR_MODE',
    'PRIVATE_DIR_MODE',
    'PRIVATE_FILE_MODE',
    'PUBLIC_SCRIPT_MODE',
]
