"""Drop auth_client_id from collections

Revision ID: 7bb0eab50f86
Revises: 66473ea3173e
Create Date: 2018-01-16 14:02:55.008095

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '7bb0eab50f86'
down_revision = '66473ea3173e'
branch_labels = None
depends_on = None


def upgrade():
    conn = op.get_bind()

    op.rename_table(u'collection', u'temp_collection')
    op.create_table(
        'collection',
        sa.Column('created_at', sa.DateTime(), nullable=False),
        sa.Column('updated_at', sa.DateTime(), nullable=False),
        sa.Column('id', sa.TEXT(), nullable=False),
        sa.Column('path', sa.TEXT()),
        sa.Column('user_credential_id', sa.TEXT(), nullable=False),
        sa.PrimaryKeyConstraint('id'),
        sa.ForeignKeyConstraint(
            ['user_credential_id'], ['user_credential.id']))

    conn.execute(
        """
        insert into collection(created_at, updated_at, id, path,
        user_credential_id) select created_at, updated_at, id,
        path, user_credential_id from temp_collection""")

    op.drop_table(u'temp_collection')


def downgrade():
    op.add_column(
        'collection', sa.Column('auth_client_id', sa.TEXT(), nullable=True))
